@import "compass/css3/images"
@import "compass/typography/text/force-wrap"

.widget
	height: auto
	margin: 8px
	border: 1px solid $border-color-dark
	border-radius: 0 0 8px 8px
	box-shadow: 0 0 6px $weak_shadow_color
	position: relative

.widget-content
	margin-bottom: 10px
	overflow: auto

.widget-editbox
	display: none
	position: absolute
	font-size: 0.9em
	width: 80%
	max-width: 512px
	right: 2px
	padding: 0
	top: 24px
	background: $general_background_color
	border: 1px solid $border_color_light
	box-shadow: 0 2px 3px $weak_shadow_color
	z-index: 2

	select
		width: auto !important

	.refresh_slider
		margin: 0 16px

.widget-editbox-label
	width: 28%
	display: inline-block

	div
		padding: 0 5px 0 16px

.widget-editbox-field
	width: 68%
	display: inline-block

	textarea
		width: 100%

	div
		padding: 0 16px 0 5px

.widget-selector
	&:hover
		cursor: pointer
		background-color: $gradient-dark-lo

.widget-header
	@include background(linear-gradient(top, $gradient-dark-hi, $gradient-dark-lo))
	@include filter-gradient($gradient-dark-hi, $gradient-dark-lo, vertical)
	padding: 6px 0 2px 6px
	overflow: auto
	position: relative
	font-weight: bold

	span
		@include force-wrap
		float: left
		max-width: 50%

	.widget-menu

		float: right
		padding-right: 3px
		max-width: 40%

		.widget-copylink, .widget-collapselink, .widget-editlink, .widget-closelink
			border: none !important
			margin: 0 2px

		img
			opacity: $inactive_opacity
			filter: alpha(opacity=#{$inactive_opacity * 100})
			&:hover
				opacity: 1.0
				filter: alpha(opacity=100)



.widget-content-error
	background: $widget_error_background_color url('./images/stripe.png')
	box-shadow: inset 0 0 8px $hard_shadow_color
	padding: 24px 4px
	text-align: center
	text-shadow: 0 0 3px #fff
	color: #111
	font-size: 1.0

.widget-placeholder
	border: 1px dashed $border-color-dark
	background: #ddd url('./images/stripe.png')
	box-shadow: inset 0 0 8px $hard_shadow_color
	height: 25px
	margin: 8px
	border-radius: 0 0 8px 8px
	position: relative

.widget-place
	min-height: 25px
	margin: 0
	padding: 0
	float: left

.tablestat-widget
	width: 99%
	margin: 0 auto
	border: none
	td:last-child
		border-right: none